Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.score.buildin.hardandsoftlong
Class HardAndSoftLongScoreHolder

    java.lang.Object
      org.drools.planner.core.score.holder.AbstractScoreHolder
          org.drools.planner.core.score.buildin.hardandsoftlong.HardAndSoftLongScoreHolder

All Implemented Interfaces:
  Serializable, ScoreHolder

    public class HardAndSoftLongScoreHolder

extends AbstractScoreHolder

See Also:
  Serialized Form

Field Summary
`protected long` | `hardConstraintsBroken`
`protected long` | `softConstraintsBroken`

Constructor Summary
`HardAndSoftLongScoreHolder()`

Method Summary
`Score` | `extractScore()` Extracts the `Score`, calculated by the `WorkingMemory` for `DroolsScoreDirector`.
`long` | `getHardConstraintsBroken()`
`long` | `getSoftConstraintsBroken()`
`void` | `setHardConstraintsBroken(long hardConstraintsBroken)`
`void` | `setSoftConstraintsBroken(long softConstraintsBroken)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hardConstraintsBroken

    protected long hardConstraintsBroken

### softConstraintsBroken

    protected long softConstraintsBroken

Constructor Detail

### HardAndSoftLongScoreHolder

    public HardAndSoftLongScoreHolder()

Method Detail

### getHardConstraintsBroken

    public long getHardConstraintsBroken()

### setHardConstraintsBroken

    public void setHardConstraintsBroken(long hardConstraintsBroken)

### getSoftConstraintsBroken

    public long getSoftConstraintsBroken()

### setSoftConstraintsBroken

    public void setSoftConstraintsBroken(long softConstraintsBroken)

### extractScore

    public Score extractScore()

  Description copied from interface: `ScoreHolder`
  Extracts the `Score`, calculated by the `WorkingMemory` for `DroolsScoreDirector`. Should not be called directly, use `ScoreDirector.calculateScore()` instead.

  Returns:
    never null, the `Score` of the working `Solution`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.